BLOCK_MENU:=Block Devices

define KernelPackage/md-raid1
  SUBMENU:=$(BLOCK_MENU)
  TITLE:=MD support with RAID-1 (mirroring) mode ONLY!
  KCONFIG:= \
   CONFIG_MD=y \
   CONFIG_BLK_DEV_MD=m \
   CONFIG_MD_RAID1=m \
   CONFIG_MD_LINEAR=n \
   CONFIG_MD_RAID0=n \
   CONFIG_MD_RAID10=n \
   CONFIG_MD_RAID456=n \
   CONFIG_MD_MULTIPATH=n \
   CONFIG_MD_FAULTY=n \
   CONFIG_BLK_DEV_DM=n
  FILES:= \
   $(LINUX_DIR)/drivers/md/md-mod.$(LINUX_KMOD_SUFFIX) \
   $(LINUX_DIR)/drivers/md/raid1.$(LINUX_KMOD_SUFFIX)
  AUTOLOAD:= \
   $(call AutoLoad,30,md-mod) \
   $(call AutoLoad,31,raid1)
endef
define KernelPackage/md-raid1/description
 MD support with RAID Level 1 only, \
 suppresses all others RAID levels \
 and Device Mapper support!
endef
$(eval $(call KernelPackage,md-raid1))
